# - Find gloox
# Find the native gloox headers and libraries.
#
#  GLOOX_INCLUDE_DIRS - where to find gloox.h, etc.
#  GLOOX_LIBRARIES    - List of libraries when using gloox.
#  GLOOX_FOUND        - True if gloox found.

# Look for the header file.
FIND_PATH(GLOOX_INCLUDE_DIR gloox.h PATH_SUFFIXES gloox)

# Look for the library.
FIND_LIBRARY(GLOOX_LIBRARY gloox)

# Copy the results to the output variables.
IF(GLOOX_INCLUDE_DIR AND GLOOX_LIBRARY)
  SET(GLOOX_FOUND 1)
  SET(GLOOX_LIBRARIES ${GLOOX_LIBRARY})
  SET(GLOOX_INCLUDE_DIRS ${GLOOX_INCLUDE_DIR})
ELSE(GLOOX_INCLUDE_DIR AND GLOOX_LIBRARY)
  SET(GLOOX_FOUND 0)
  SET(GLOOX_LIBRARIES)
  SET(GLOOX_INCLUDE_DIRS)
ENDIF(GLOOX_INCLUDE_DIR AND GLOOX_LIBRARY)

# Report the results.
IF(NOT GLOOX_FOUND)
  SET(GLOOX_DIR_MESSAGE
    "gloox was not found. Make sure GLOOX_LIBRARY and GLOOX_INCLUDE_DIR are set.")
  IF(NOT GLOOX_FIND_QUIETLY)
    MESSAGE(STATUS "${GLOOX_DIR_MESSAGE}")
  ELSE(NOT GLOOX_FIND_QUIETLY)
    IF(GLOOX_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "${GLOOX_DIR_MESSAGE}")
    ENDIF(GLOOX_FIND_REQUIRED)
  ENDIF(NOT GLOOX_FIND_QUIETLY)
ENDIF(NOT GLOOX_FOUND)
